HMWJGraphInternal::FrameFormat Struct Reference

a frame format in HMWJGraph More...

## Public Member Functions

| FrameFormat ()
| constructor More...

## Public Attributes

double | m_lineWidth
| the line width More...
MWAWColor | m_color [2]
| the line/surface color More...
double | m_intWrap [4]
| the interior wrap dim More...
double | m_extWrap [4]
| the exterior wrap dim More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, FrameFormat const &frmt)
| operator<< More...

## Detailed Description

a frame format in HMWJGraph

## Constructor & Destructor Documentation

HMWJGraphInternal::FrameFormat::FrameFormat | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FrameFormat const & | frmt
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor HMWJGraphInternal::FrameFormat::m_color[2]

the line/surface color

Referenced by FrameFormat(), HMWJGraph::readFrames(), HMWJGraph::sendBasicGraph(), HMWJGraph::sendComment(), and HMWJGraph::sendTextbox().

std::string HMWJGraphInternal::FrameFormat::m_extra

extra data

Referenced by HMWJGraph::readFrames().

double HMWJGraphInternal::FrameFormat::m_extWrap[4]

the exterior wrap dim

Referenced by FrameFormat(), and HMWJGraph::readFrames().

double HMWJGraphInternal::FrameFormat::m_intWrap[4]

the interior wrap dim

Referenced by FrameFormat(), and HMWJGraph::readFrames().

double HMWJGraphInternal::FrameFormat::m_lineWidth

the line width

Referenced by HMWJGraph::readFrames(), HMWJGraph::sendBasicGraph(), HMWJGraph::sendComment(), and HMWJGraph::sendTextbox().

The documentation for this struct was generated from the following file:

- HMWJGraph.cxx